

%define kgeomap_major 5
%define libkgeomap %mklibname kf5geomap %kgeomap_major
%define libkgeomap_devel %mklibname kf5geomap -d

Name: libkgeomap
Summary:  A wrapper around different world-map components, to browse and arrange photos over a map
Version: 20.08.3
Release: %mkrel 4
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkgeomap
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: marble-devel
BuildRequires: ki18n-devel
BuildRequires: kconfig-devel
BuildRequires: kio-devel
BuildRequires: ktextwidgets-devel

BuildRequires:  kf5-macros
BuildRequires:  cmake
BuildRequires:  qtbase5-common-devel
BuildRequires:  %{_lib}qt5core-devel
BuildRequires:  %{_lib}qt5gui-devel
BuildRequires:  %{_lib}qt5test-devel
BuildRequires:  %{_lib}qt5concurrent-devel
BuildRequires:  %{_lib}qt5xml-devel

%description
A wrapper around different world-map components,
to browse and arrange photos over a map

%files -f libkgeomap.lang
%_kf5_datadir/libkgeomap
%_kf5_libdir/libKF5KGeoMap.so.%{kgeomap_major}*
%_kf5_libdir/libKF5KGeoMap.so.10*

#------------------------------------------------------------------------------


%package -n %libkgeomap_devel
Summary: Devel stuff for %{name}
Group: Development/Libraries
Requires: %name
Provides: %name-devel = %version-%release


%description -n %libkgeomap_devel
A wrapper around different world-map components, to browse and arrange photos over a map

This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %libkgeomap_devel
%_kf5_includedir/KGeoMap
%_kf5_includedir/libkgeomap_version.h
%_kf5_libdir/cmake/KF5KGeoMap
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%find_lang libkgeomap

%changelog
* Wed Sep 29 2021 tex - 20.08.3-4pclos2021
- rebuild against updates

* Thu Dec 10 2020 tex - 20.08.3-3pclos2020
- rebuild

* Fri Nov 20 2020 tex - 20.08.3-2pclos2020
- rebuild against updates

* Thu Nov 05 2020 tex - 20.08.3-1pclos2020
- new version

* Fri Oct 09 2020 tex - 20.08.2-1pclos2020
- new version

* Fri Sep 11 2020 tex - 20.08.1-2pclos2020
- rebuild against updates

* Thu Sep 03 2020 tex - 20.08.1-1pclos2020
- new version

* Thu Aug 13 2020 tex - 20.08.0-1pclos2020
- new version

* Thu Jul 09 2020 tex - 20.04.3-1pclos2020
- new version

* Fri Jun 12 2020 tex - 20.04.2-1pclos2020
- new version

* Fri May 15 2020 tex - 20.04.1-1pclos2020
- new version

* Thu Apr 23 2020 tex - 20.04.0-1pclos2020
- new version

* Fri Mar 06 2020 tex - 19.12.3-1pclos2020
- new version

* Sat Feb 08 2020 tex - 19.12.2-1pclos2020
- new version

* Thu Jan 09 2020 tex - 19.12.1-1pclos2020
- new version

* Tue Dec 17 2019 tex - 19.12.0-1pclos2020
- new version

* Wed Dec 04 2019 tex - 19.08.3-2pclos2019
- rebuild against updates

* Fri Nov 08 2019 tex - 19.08.3-1pclos2019
- new version

* Thu Oct 10 2019 tex - 19.08.2-1pclos2019
- new version

* Thu Sep 05 2019 tex - 19.08.1-1pclos2019
- new version

* Thu Aug 15 2019 tex - 19.08.0-1pclos2019
- new version

* Thu Jul 11 2019 tex - 19.04.3-1pclos2019
- new version

* Tue Jul 02 2019 tex - 19.04.2-2pclos2019
- rebuild against updates

* Fri Jun 07 2019 tex - 19.04.2-1pclos2019
- new version

* Fri May 10 2019 tex - 19.04.1-1pclos2019
- new version

* Fri Apr 19 2019 tex - 19.04.0-1pclos2019
- new version

* Thu Mar 07 2019 tex - 18.12.3-1pclos2019
- new version

* Thu Feb 07 2019 tex - 18.12.2-1pclos2019
- new version

* Wed Feb 06 2019 tex - 18.12.1-2pclos2019
- rebuild against updates

* Thu Jan 10 2019 tex - 18.12.1-1pclos2019
- new version

* Thu Dec 13 2018 tex - 18.12.0-1pclos2018
- new version

* Fri Nov 09 2018 tex - 18.08.3-1pclos2018
- new version

* Thu Oct 11 2018 tex - 18.08.2-1pclos2018
- new version

* Thu Sep 06 2018 tex - 18.08.1-1pclos2018
- new version

* Fri Aug 17 2018 tex - 18.08.0-1pclos2018
- new version

* Thu Jun 21 2018 tex - 18.04.2-1pclos2018
- new version

* Fri May 11 2018 tex - 18.04.1-1pclos2018
- new version

* Thu Apr 19 2018 tex - 18.04.0-1pclos2018
- new version

* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Sat Nov 12 2016 bb <bb> 16.08.3-1pclos2016
- update

